Bio::DB::GFF::Featname(3)

NAME
Bio::DB::GFF::Featname -- The name of a feature

SYNOPSIS
  use Bio::DB::GFF;

  my $db      = Bio::DB::GFF->new( -adaptor => 'dbi:mysql',
                                   -dsn     => 'dbi:mysql:elegans42');

  my $feature = Bio::DB::GFF::Featname->new(Locus => 'unc-19');
  my $segment = $db->segment($feature);

DESCRIPTION
Bio::DB::GFF::Featname is the name of a feature. It contains two fields: name and class. It is typically used by the Bio::DB::GFF module to denote a group, and is accepted by Bio::DB::Relsegment->new() and Bio::DB::GFF->segment() as a replacement for the -name and -class arguments.

METHODS

  new
 Title   : new
 Usage   : $name = Bio::DB::GFF::Featname->new($class,$name)
 Function: create a new Bio::DB::GFF::Featname object
 Returns : a new Bio::DB::GFF::Featname object
 Args    : class and ID
 Status  : Public

  id
 Title   : id
 Usage   : $id = $name->id
 Function: return a unique ID for the combination of class and name
 Returns : a string
 Args    : none
 Status  : Public

This method returns a unique combination of the name and class in the form "class:name". Coincidentally, this is the same format used by AceDB.

  name
 Title   : name
 Usage   : $name = $name->name
 Function: return the name of the Featname
 Returns : a string
 Args    : none
 Status  : Public

  class
 Title   : class
 Usage   : $class = $name->class
 Function: return the name of the Featname
 Returns : a string
 Args    : none
 Status  : Public

  asString
 Title   : asString
 Usage   : $string = $name->asString
 Function: same as name()
 Returns : a string
 Args    : none
 Status  : Public

This method is used to overload the "" operator. It is equivalent to calling name().

  clone
 Title   : clone
 Usage   : $new_clone = $type->clone;
 Function: clone this object
 Returns : a new Bio::DB::GFF::Featname object
 Args    : none
 Status  : Public

This method creates an exact copy of the object.

BUGS
This module is still under development.

SEE ALSO
bioperl, Bio::DB::GFF, Bio::DB::RelSegment

AUTHOR
Lincoln Stein <lstein@cshl.org>.

Copyright (c) 2001 Cold Spring Harbor Laboratory.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.